DCMTK: DcmQueryRetrieveStoreContext Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DcmQueryRetrieveStoreContext Class Reference

this class maintains the context information that is passed to the callback function called by DIMSE_storeProvider. More...

## Public Member Functions
| DcmQueryRetrieveStoreContext (DcmQueryRetrieveDatabaseHandle &handle, const DcmQueryRetrieveOptions &options, DIC_US s, DcmFileFormat *ff, OFBool correctuidpadding)
| constructor
void | setStatus (DIC_US s)
| set DIMSE status
DIC_US | getStatus () const
| return current DIMSE status
void | setFileName (const char *fn)
| set file name under which the image should be stored
void | callbackHandler (T_DIMSE_StoreProgress *progress, T_DIMSE_C_StoreRQ *req, char *imageFileName, DcmDataset **imageDataSet, T_DIMSE_C_StoreRSP *rsp, DcmDataset **stDetail)
| callback handler called by the DIMSE_storeProvider callback function.

## Private Attributes
DcmQueryRetrieveDatabaseHandle & | dbHandle
| reference to database handle
const DcmQueryRetrieveOptions & | options_
| reference to Q/R service options
DIC_US | status
| current DIMSE status
const char * | fileName
| file name under which the incoming image should be stored
DcmFileFormat * | dcmff
| DICOM file format into which the image is received.
OFBool | correctUIDPadding
| flag indicating whether space padded UIDs should be silently corrected

## Detailed Description

this class maintains the context information that is passed to the callback function called by DIMSE_storeProvider.

## Constructor & Destructor Documentation

## ◆ DcmQueryRetrieveStoreContext()

DcmQueryRetrieveStoreContext::DcmQueryRetrieveStoreContext | ( | DcmQueryRetrieveDatabaseHandle & | handle,
|  | const DcmQueryRetrieveOptions & | options,
|  | DIC_US | s,
|  | DcmFileFormat * | ff,
|  | OFBool | correctuidpadding )
| inline

constructor

Parameters

  handle | reference to database handle
  options | options for the Q/R service
  s | initial DIMSE status
  ff | pointer to DcmFileformat object to be used for storing the dataset
  correctuidpadding | flag indicating whether space padded UIDs should be silently corrected

References correctUIDPadding, dbHandle, dcmff, fileName, options_, and status.

## Member Function Documentation

## ◆ callbackHandler()

void DcmQueryRetrieveStoreContext::callbackHandler | ( | T_DIMSE_StoreProgress * | progress,
|  | T_DIMSE_C_StoreRQ * | req,
|  | char * | imageFileName,
|  | DcmDataset ** | imageDataSet,
|  | T_DIMSE_C_StoreRSP * | rsp,
|  | DcmDataset ** | stDetail )

callback handler called by the DIMSE_storeProvider callback function.

Parameters

  progress | progress state (in)
  req | original store request (in)
  imageFileName | being received into (in)
  imageDataSet | being received into (in)
  rsp | final store response (out)
  stDetail | status detail dataset (out)

## ◆ setFileName()

void DcmQueryRetrieveStoreContext::setFileName | ( | const char * | fn | ) |
| inline

set file name under which the image should be stored

Parameters

  fn | file name. String is not copied.

References fileName.

## ◆ setStatus()

void DcmQueryRetrieveStoreContext::setStatus | ( | DIC_US | s | ) |
| inline

set DIMSE status

Parameters

  s | new status

References status.

The documentation for this class was generated from the following file:

- dcmqrdb/include/dcmtk/dcmqrdb/dcmqrcbs.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2